<div
  class="card"
  *ngIf="item?.detail"
  [ngClass]="item?.detail?.types[0] ? item?.detail?.types[0].type.name + '-bg' : ''"
>
  <div style="position: relative" class="ion-text-center">
    <img [src]="item?.detail?.sprites?.other['official-artwork']['front_default']" (click)="toDetail()" />
    <ion-icon
      name="heart"
      class="font-20 icon"
      (click)="manageFavorites(item)"
      [ngClass]="favoritesList[item?.stringId] ? 'color-red' : 'color-white'"
    ></ion-icon>
  </div>
  <div (click)="toDetail()">
    <div class="name color-white mb-5">
      <b>{{ item?.name | titlecase }}</b>
    </div>
    <div class="mb-5">
      <span class="ion-text-center chip" *ngFor="let type of item?.detail?.types">
        <span> {{ type?.type?.name | titlecase }} </span>
      </span>
    </div>
  </div>
</div>

<div class="card" *ngIf="!item?.detail">
  <div class="ion-text-center">
    <ion-skeleton-text animated style="height: 75px; width: 100%"></ion-skeleton-text>
  </div>
  <div>
    <div class="mb-5">
      <ion-skeleton-text animated></ion-skeleton-text>
    </div>
    <div class="mb-5">
      <ion-skeleton-text animated></ion-skeleton-text>
    </div>
  </div>
</div>
